diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/buildings/helper/building-allocator.h ns-3.44/src/buildings/helper/building-allocator.h
--- ns-3.43/src/buildings/helper/building-allocator.h	2024-10-09 16:41:09.852655600 -0700
+++ ns-3.44/src/buildings/helper/building-allocator.h	2025-03-09 16:55:49.351371000 -0700
@@ -24,8 +24,8 @@
 class Building;
 
 /**
- * \ingroup buildings
- * \brief Allocate buildings on a rectangular 2d grid.
+ * @ingroup buildings
+ * @brief Allocate buildings on a rectangular 2d grid.
  *
  * This class allows to create a set of buildings positioned on a
  * rectangular 2D grid. Under the hood, this class uses two instances
@@ -38,25 +38,25 @@
     ~GridBuildingAllocator() override;
 
     /**
-     * \brief Get the type ID.
-     * \return The object TypeId.
+     * @brief Get the type ID.
+     * @return The object TypeId.
      */
     static TypeId GetTypeId();
 
     /**
      * Set an attribute to be used for each new building to be created
      *
-     * \param n attribute name
-     * \param v attribute value
+     * @param n attribute name
+     * @param v attribute value
      */
     void SetBuildingAttribute(std::string n, const AttributeValue& v);
 
     /**
      * Create a set of buildings allocated on a grid
      *
-     * \param n the number of buildings to create
+     * @param n the number of buildings to create
      *
-     * \return the BuildingContainer that contains the newly created buildings
+     * @return the BuildingContainer that contains the newly created buildings
      */
     BuildingContainer Create(uint32_t n) const;
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/buildings/helper/building-container.h ns-3.44/src/buildings/helper/building-container.h
--- ns-3.43/src/buildings/helper/building-container.h	2024-10-09 16:41:09.852655600 -0700
+++ ns-3.44/src/buildings/helper/building-container.h	2025-03-09 16:55:49.351371000 -0700
@@ -10,7 +10,7 @@
 #ifndef BUILDING_CONTAINER_H
 #define BUILDING_CONTAINER_H
 
-#include <ns3/building.h>
+#include "ns3/building.h"
 
 #include <stdint.h>
 #include <vector>
@@ -19,9 +19,9 @@
 {
 
 /**
- * \ingroup buildings
+ * @ingroup buildings
  *
- * \brief keep track of a set of building pointers.
+ * @brief keep track of a set of building pointers.
  *
  * Some ns-3 helpers operate on more than one building at a time.  For example
  * a PositionAllocator may want to position nodes on a set of buildings.
@@ -44,7 +44,7 @@
      * Create a BuildingContainer with exactly one building which has been previously
      * instantiated.  The single Building is specified by a smart pointer.
      *
-     * \param building The Ptr<Building> to add to the container.
+     * @param building The Ptr<Building> to add to the container.
      */
     BuildingContainer(Ptr<Building> building);
 
@@ -53,12 +53,12 @@
      * instantiated and assigned a name using the Object Name Service.  This
      * Building is then specified by its assigned name.
      *
-     * \param buildingName The name of the Building Object to add to the container.
+     * @param buildingName The name of the Building Object to add to the container.
      */
     BuildingContainer(std::string buildingName);
 
     /**
-     * \brief Get an iterator which refers to the first Building in the
+     * @brief Get an iterator which refers to the first Building in the
      * container.
      *
      * Buildings can be retrieved from the container in two ways.  First,
@@ -66,20 +66,20 @@
      * This method is used in the iterator method and is typically used in a
      * for-loop to run through the Buildings
      *
-     * \code
+     * @code
      *   BuildingContainer::Iterator i;
      *   for (i = container.Begin (); i != container.End (); ++i)
      *     {
      *       (*i)->method ();  // some Building method
      *     }
-     * \endcode
+     * @endcode
      *
-     * \returns an iterator which refers to the first Building in the container.
+     * @returns an iterator which refers to the first Building in the container.
      */
     Iterator Begin() const;
 
     /**
-     * \brief Get an iterator which indicates past-the-last Building in the
+     * @brief Get an iterator which indicates past-the-last Building in the
      * container.
      *
      * Buildings can be retrieved from the container in two ways.  First,
@@ -87,20 +87,20 @@
      * This method is used in the iterator method and is typically used in a
      * for-loop to run through the Buildings
      *
-     * \code
+     * @code
      *   BuildingContainer::Iterator i;
      *   for (i = container.Begin (); i != container.End (); ++i)
      *     {
      *       (*i)->method ();  // some Building method
      *     }
-     * \endcode
+     * @endcode
      *
-     * \returns an iterator which indicates an ending condition for a loop.
+     * @returns an iterator which indicates an ending condition for a loop.
      */
     Iterator End() const;
 
     /**
-     * \brief Get the number of Ptr<Building> stored in this container.
+     * @brief Get the number of Ptr<Building> stored in this container.
      *
      * Buildings can be retrieved from the container in two ways.  First,
      * directly by an index into the container, and second, using an iterator.
@@ -108,21 +108,21 @@
      * define an ending condition in a for-loop that runs through the stored
      * Buildings
      *
-     * \code
+     * @code
      *   uint32_t nBuildings = container.GetN ();
      *   for (uint32_t i = 0 i < nBuildings; ++i)
      *     {
      *       Ptr<Building> p = container.Get (i)
      *       i->method ();  // some Building method
      *     }
-     * \endcode
+     * @endcode
      *
-     * \returns the number of Ptr<Building> stored in this container.
+     * @returns the number of Ptr<Building> stored in this container.
      */
     uint32_t GetN() const;
 
     /**
-     * \brief Get the Ptr<Building> stored in this container at a given
+     * @brief Get the Ptr<Building> stored in this container at a given
      * index.
      *
      * Buildings can be retrieved from the container in two ways.  First,
@@ -130,57 +130,57 @@
      * This method is used in the direct method and is used to retrieve the
      * indexed Ptr<Application>.
      *
-     * \code
+     * @code
      *   uint32_t nBuildings = container.GetN ();
      *   for (uint32_t i = 0 i < nBuildings; ++i)
      *     {
      *       Ptr<Building> p = container.Get (i)
      *       i->method ();  // some Building method
      *     }
-     * \endcode
+     * @endcode
      *
-     * \param i the index of the requested building pointer.
-     * \returns the requested building pointer.
+     * @param i the index of the requested building pointer.
+     * @returns the requested building pointer.
      */
     Ptr<Building> Get(uint32_t i) const;
 
     /**
-     * \brief Create n buildings and append pointers to them to the end of this
+     * @brief Create n buildings and append pointers to them to the end of this
      * BuildingContainer.
      *
      * Buildings are at the heart of any ns-3 simulation.  One of the first tasks that
      * any simulation needs to do is to create a number of buildings.  This method
      * automates that task.
      *
-     * \param n The number of Buildings to create
+     * @param n The number of Buildings to create
      */
     void Create(uint32_t n);
 
     /**
-     * \brief Append the contents of another BuildingContainer to the end of
+     * @brief Append the contents of another BuildingContainer to the end of
      * this container.
      *
-     * \param other The BuildingContainer to append.
+     * @param other The BuildingContainer to append.
      */
     void Add(BuildingContainer other);
 
     /**
-     * \brief Append a single Ptr<Building> to this container.
+     * @brief Append a single Ptr<Building> to this container.
      *
-     * \param building The Ptr<Building> to append.
+     * @param building The Ptr<Building> to append.
      */
     void Add(Ptr<Building> building);
 
     /**
-     * \brief Append to this container the single Ptr<Building> referred to
+     * @brief Append to this container the single Ptr<Building> referred to
      * via its object name service registered name.
      *
-     * \param buildingName The name of the Building Object to add to the container.
+     * @param buildingName The name of the Building Object to add to the container.
      */
     void Add(std::string buildingName);
 
     /**
-     * \brief Create a BuildingContainer that contains a list of _all_ buildings
+     * @brief Create a BuildingContainer that contains a list of _all_ buildings
      * stored in the ns3::BuildingList.
      *
      * Whenever a Building is created, a Ptr<Building> is added to a global list of all
@@ -188,7 +188,7 @@
      * buildings in one place.  This method creates a BuildingContainer that is
      * initialized to contain all of the simulation buildings,
      *
-     * \returns a BuildingContainer which contains a list of all Buildings.
+     * @returns a BuildingContainer which contains a list of all Buildings.
      */
     static BuildingContainer GetGlobal();
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/buildings/helper/building-position-allocator.cc ns-3.44/src/buildings/helper/building-position-allocator.cc
--- ns-3.43/src/buildings/helper/building-position-allocator.cc	2024-10-09 16:41:09.852655600 -0700
+++ ns-3.44/src/buildings/helper/building-position-allocator.cc	2025-03-09 16:55:49.351371000 -0700
@@ -17,12 +17,12 @@
 #include "ns3/double.h"
 #include "ns3/enum.h"
 #include "ns3/log.h"
+#include "ns3/mobility-building-info.h"
 #include "ns3/mobility-model.h"
 #include "ns3/pointer.h"
 #include "ns3/random-variable-stream.h"
 #include "ns3/string.h"
 #include "ns3/uinteger.h"
-#include <ns3/mobility-building-info.h>
 
 #include <cmath>
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/buildings/helper/building-position-allocator.h ns-3.44/src/buildings/helper/building-position-allocator.h
--- ns-3.43/src/buildings/helper/building-position-allocator.h	2024-10-09 16:41:09.852655600 -0700
+++ ns-3.44/src/buildings/helper/building-position-allocator.h	2025-03-09 16:55:49.351371000 -0700
@@ -9,10 +9,10 @@
 #ifndef BUILDING_POSITION_ALLOCATOR_H
 #define BUILDING_POSITION_ALLOCATOR_H
 
+#include "ns3/node-container.h"
+#include "ns3/position-allocator.h"
+#include "ns3/ptr.h"
 #include "ns3/random-variable-stream.h"
-#include <ns3/node-container.h>
-#include <ns3/position-allocator.h>
-#include <ns3/ptr.h>
 
 namespace ns3
 {
@@ -21,7 +21,7 @@
 class UniformRandomVariable;
 
 /**
- * \ingroup buildings
+ * @ingroup buildings
  *
  * Allocate each position by randomly choosing a building from the list
  * of all buildings, and then randomly choosing a position inside the building.
@@ -32,8 +32,8 @@
     RandomBuildingPositionAllocator();
 
     /**
-     * \brief Get the type ID.
-     * \return The object TypeId.
+     * @brief Get the type ID.
+     * @return The object TypeId.
      */
     static TypeId GetTypeId();
 
@@ -45,8 +45,8 @@
      * used by this model.  Return the number of streams (possibly zero) that
      * have been assigned.
      *
-     * \param stream first stream index to use
-     * \return the number of stream indices assigned by this model
+     * @param stream first stream index to use
+     * @return the number of stream indices assigned by this model
      */
     int64_t AssignStreams(int64_t stream) override;
 
@@ -60,8 +60,8 @@
 };
 
 /**
- * \ingroup buildings
- * \brief allocate outdoor positions
+ * @ingroup buildings
+ * @brief allocate outdoor positions
  *
  * Allocate positions outside of existing buildings using rejection sampling.
  * This class extracts a random position in a box defined by the three
@@ -79,8 +79,8 @@
     OutdoorPositionAllocator();
 
     /**
-     * \brief Get the type ID.
-     * \return The object TypeId.
+     * @brief Get the type ID.
+     * @return The object TypeId.
      */
     static TypeId GetTypeId();
 
@@ -88,18 +88,18 @@
     Vector GetNext() const override;
 
     /**
-     * \brief Set the random variable stream object that generates x-positions
-     * \param x pointer to a RandomVariableStream object
+     * @brief Set the random variable stream object that generates x-positions
+     * @param x pointer to a RandomVariableStream object
      */
     void SetX(Ptr<RandomVariableStream> x);
     /**
-     * \brief Set the random variable stream object that generates y-positions
-     * \param y pointer to a RandomVariableStream object
+     * @brief Set the random variable stream object that generates y-positions
+     * @param y pointer to a RandomVariableStream object
      */
     void SetY(Ptr<RandomVariableStream> y);
     /**
-     * \brief Set the random variable stream object that generates z-positions
-     * \param z pointer to a RandomVariableStream object
+     * @brief Set the random variable stream object that generates z-positions
+     * @param z pointer to a RandomVariableStream object
      */
     void SetZ(Ptr<RandomVariableStream> z);
 
@@ -108,8 +108,8 @@
      * used by this model.  Return the number of streams (possibly zero) that
      * have been assigned.
      *
-     * \param stream first stream index to use
-     * \return the number of stream indices assigned by this model
+     * @param stream first stream index to use
+     * @return the number of stream indices assigned by this model
      */
     int64_t AssignStreams(int64_t stream) override;
 
@@ -133,8 +133,8 @@
     RandomRoomPositionAllocator();
 
     /**
-     * \brief Get the type ID.
-     * \return The object TypeId.
+     * @brief Get the type ID.
+     * @return The object TypeId.
      */
     static TypeId GetTypeId();
 
@@ -146,8 +146,8 @@
      * used by this model.  Return the number of streams (possibly zero) that
      * have been assigned.
      *
-     * \param stream first stream index to use
-     * \return the number of stream indices assigned by this model
+     * @param stream first stream index to use
+     * @return the number of stream indices assigned by this model
      */
     int64_t AssignStreams(int64_t stream) override;
 
@@ -181,13 +181,13 @@
 
     /**
      * Constructor
-     * \param c Node container
+     * @param c Node container
      */
     SameRoomPositionAllocator(NodeContainer c);
 
     /**
-     * \brief Get the type ID.
-     * \return The object TypeId.
+     * @brief Get the type ID.
+     * @return The object TypeId.
      */
     static TypeId GetTypeId();
 
@@ -199,8 +199,8 @@
      * used by this model.  Return the number of streams (possibly zero) that
      * have been assigned.
      *
-     * \param stream first stream index to use
-     * \return the number of stream indices assigned by this model
+     * @param stream first stream index to use
+     * @return the number of stream indices assigned by this model
      */
     int64_t AssignStreams(int64_t) override;
 
@@ -222,16 +222,16 @@
     /**
      *
      *
-     * \param x index of the room on the x-axis
-     * \param y index of the room on the y-axis
-     * \param z index of the room on the z-axis (i.e., floor number)
-     * \param b pointer to the chosen building
+     * @param x index of the room on the x-axis
+     * @param y index of the room on the y-axis
+     * @param z index of the room on the z-axis (i.e., floor number)
+     * @param b pointer to the chosen building
      *
      */
     FixedRoomPositionAllocator(uint32_t x, uint32_t y, uint32_t z, Ptr<Building> b);
     /**
-     * \brief Get the type ID.
-     * \return The object TypeId.
+     * @brief Get the type ID.
+     * @return The object TypeId.
      */
     static TypeId GetTypeId();
     // inherited from PositionAllocator
@@ -242,8 +242,8 @@
      * used by this model.  Return the number of streams (possibly zero) that
      * have been assigned.
      *
-     * \param stream first stream index to use
-     * \return the number of stream indices assigned by this model
+     * @param stream first stream index to use
+     * @return the number of stream indices assigned by this model
      */
     int64_t AssignStreams(int64_t) override;
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/buildings/helper/buildings-helper.cc ns-3.44/src/buildings/helper/buildings-helper.cc
--- ns-3.43/src/buildings/helper/buildings-helper.cc	2024-10-09 16:41:09.852655600 -0700
+++ ns-3.44/src/buildings/helper/buildings-helper.cc	2025-03-09 16:55:49.351371000 -0700
@@ -8,13 +8,13 @@
 
 #include "buildings-helper.h"
 
-#include <ns3/abort.h>
-#include <ns3/building-list.h>
-#include <ns3/building.h>
-#include <ns3/log.h>
-#include <ns3/mobility-building-info.h>
-#include <ns3/mobility-model.h>
-#include <ns3/node-list.h>
+#include "ns3/abort.h"
+#include "ns3/building-list.h"
+#include "ns3/building.h"
+#include "ns3/log.h"
+#include "ns3/mobility-building-info.h"
+#include "ns3/mobility-model.h"
+#include "ns3/node-list.h"
 
 namespace ns3
 {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/buildings/helper/buildings-helper.h ns-3.44/src/buildings/helper/buildings-helper.h
--- ns-3.43/src/buildings/helper/buildings-helper.h	2024-10-09 16:41:09.852655600 -0700
+++ ns-3.44/src/buildings/helper/buildings-helper.h	2025-03-09 16:55:49.351371000 -0700
@@ -9,10 +9,10 @@
 #ifndef BUILDINGS_HELPER_H
 #define BUILDINGS_HELPER_H
 
-#include <ns3/attribute.h>
-#include <ns3/node-container.h>
-#include <ns3/object-factory.h>
-#include <ns3/ptr.h>
+#include "ns3/attribute.h"
+#include "ns3/node-container.h"
+#include "ns3/object-factory.h"
+#include "ns3/ptr.h"
 
 #include <string>
 
@@ -23,7 +23,7 @@
 class Building;
 
 /**
- * \ingroup buildings
+ * @ingroup buildings
  *
  * Helper used to install a MobilityBuildingInfo into a set of nodes.
  */
@@ -33,13 +33,13 @@
     /**
      * Install the MobilityBuildingInfo to a node
      *
-     * \param node the mobility model of the node to be updated
+     * @param node the mobility model of the node to be updated
      */
     static void Install(Ptr<Node> node); // for any nodes
     /**
      * Install the MobilityBuildingInfo to the set of nodes in a NodeContainer
      *
-     * \param c the NodeContainer including the nodes to be updated
+     * @param c the NodeContainer including the nodes to be updated
      */
     static void Install(NodeContainer c); // for any nodes
 };
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/buildings/model/building.cc ns-3.44/src/buildings/model/building.cc
--- ns-3.43/src/buildings/model/building.cc	2024-10-09 16:41:09.852655600 -0700
+++ ns-3.44/src/buildings/model/building.cc	2025-03-09 16:55:49.351371000 -0700
@@ -12,10 +12,10 @@
 
 #include "building-list.h"
 
-#include <ns3/assert.h>
-#include <ns3/enum.h>
-#include <ns3/log.h>
-#include <ns3/uinteger.h>
+#include "ns3/assert.h"
+#include "ns3/enum.h"
+#include "ns3/log.h"
+#include "ns3/uinteger.h"
 
 #include <cmath>
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/buildings/model/building.h ns-3.44/src/buildings/model/building.h
--- ns-3.43/src/buildings/model/building.h	2024-10-09 16:41:09.852655600 -0700
+++ ns-3.44/src/buildings/model/building.h	2025-03-09 16:55:49.351371000 -0700
@@ -9,32 +9,32 @@
 #ifndef BUILDING_H
 #define BUILDING_H
 
-#include <ns3/attribute-helper.h>
-#include <ns3/attribute.h>
-#include <ns3/box.h>
-#include <ns3/object.h>
-#include <ns3/simple-ref-count.h>
-#include <ns3/vector.h>
+#include "ns3/attribute-helper.h"
+#include "ns3/attribute.h"
+#include "ns3/box.h"
+#include "ns3/object.h"
+#include "ns3/simple-ref-count.h"
+#include "ns3/vector.h"
 
 namespace ns3
 {
 
 /**
- * \defgroup buildings Buildings
+ * @defgroup buildings Buildings
  *
  * The models to define 3d buildings, associated channel models, and mobility.
  */
 
 /**
- * \ingroup buildings
- * \brief a 3d building block
+ * @ingroup buildings
+ * @brief a 3d building block
  */
 class Building : public Object
 {
   public:
     /**
-     * \brief Get the type ID.
-     * \return The object TypeId.
+     * @brief Get the type ID.
+     * @return The object TypeId.
      */
     static TypeId GetTypeId();
     void DoDispose() override;
@@ -63,12 +63,12 @@
     /**
      * Construct a simple building with 1 room and 1 floor
      *
-     * \param xMin x coordinates of left boundary.
-     * \param xMax x coordinates of right boundary.
-     * \param yMin y coordinates of bottom boundary.
-     * \param yMax y coordinates of top boundary.
-     * \param zMin z coordinates of down boundary.
-     * \param zMax z coordinates of up boundary.
+     * @param xMin x coordinates of left boundary.
+     * @param xMax x coordinates of right boundary.
+     * @param yMin y coordinates of bottom boundary.
+     * @param yMax y coordinates of top boundary.
+     * @param zMin z coordinates of down boundary.
+     * @param zMax z coordinates of up boundary.
      *
      */
     Building(double xMin, double xMax, double yMin, double yMax, double zMin, double zMax);
@@ -86,7 +86,7 @@
     ~Building() override;
 
     /**
-     * \return the unique id of this Building. This unique id happens to
+     * @return the unique id of this Building. This unique id happens to
      * be also the index of the Building into the BuildingList.
      */
     uint32_t GetId() const;
@@ -94,19 +94,19 @@
     /**
      * Set the boundaries of the building
      *
-     * \param box the Box defining the boundaries of the building
+     * @param box the Box defining the boundaries of the building
      */
     void SetBoundaries(Box box);
 
     /**
-     * \param t the type of building (i.e., Residential, Office, Commercial)
+     * @param t the type of building (i.e., Residential, Office, Commercial)
      *
      * This method allows to set building type (default is Residential)
      */
     void SetBuildingType(Building::BuildingType_t t);
 
     /**
-     * \param t the type of external walls (i.e., Wood, ConcreteWithWindows,
+     * @param t the type of external walls (i.e., Wood, ConcreteWithWindows,
      * ConcreteWithoutWindows and StoneBlocks), used for evaluating the loss
      * due to the penetration of external walls in outdoor <-> indoor comm.
      *
@@ -115,7 +115,7 @@
     void SetExtWallsType(Building::ExtWallsType_t t);
 
     /**
-     * \param nfloors the number of floors in the building
+     * @param nfloors the number of floors in the building
      *
      * This method allows to set the number of floors in the building
      * (default is 1)
@@ -123,14 +123,14 @@
     void SetNFloors(uint16_t nfloors);
 
     /**
-     * \param nroomx the number of rooms along the x axis
+     * @param nroomx the number of rooms along the x axis
      *
      * This method allows to set the number of rooms along the x-axis
      */
     void SetNRoomsX(uint16_t nroomx);
 
     /**
-     * \param nroomy the number of floors in the building
+     * @param nroomy the number of floors in the building
      *
      * This method allows to set the number of rooms along the y-axis
      */
@@ -138,50 +138,50 @@
 
     /**
      *
-     * \return the boundaries of the building
+     * @return the boundaries of the building
      */
     Box GetBoundaries() const;
 
     /**
-     * \return the type of building
+     * @return the type of building
      */
     BuildingType_t GetBuildingType() const;
 
     /**
-     * \return the type of external walls of the building
+     * @return the type of external walls of the building
      */
     ExtWallsType_t GetExtWallsType() const;
 
     /**
-     * \return the number of floors of the building
+     * @return the number of floors of the building
      */
     uint16_t GetNFloors() const;
 
     /**
-     * \return the number of rooms along the x-axis of the building
+     * @return the number of rooms along the x-axis of the building
      */
     uint16_t GetNRoomsX() const;
 
     /**
-     * \return the number of rooms along the y-axis
+     * @return the number of rooms along the y-axis
      */
     uint16_t GetNRoomsY() const;
 
     /**
      *
      *
-     * \param position some position
+     * @param position some position
      *
-     * \return true if the position fall inside the building, false otherwise
+     * @return true if the position fall inside the building, false otherwise
      */
     bool IsInside(Vector position) const;
 
     /**
      *
      *
-     * \param position a position inside the building
+     * @param position a position inside the building
      *
-     * \return the number of the room along the X axis where the
+     * @return the number of the room along the X axis where the
      * position falls
      */
     uint16_t GetRoomX(Vector position) const;
@@ -189,27 +189,27 @@
     /**
      *
      *
-     * \param position a position inside the building
+     * @param position a position inside the building
      *
-     * \return  the number of the room along the Y axis where the
+     * @return  the number of the room along the Y axis where the
      * position falls
      */
     uint16_t GetRoomY(Vector position) const;
 
     /**
      *
-     * \param position a position inside the building
+     * @param position a position inside the building
      *
-     * \return  the floor where the position falls
+     * @return  the floor where the position falls
      */
     uint16_t GetFloor(Vector position) const;
     /**
-     * \brief Checks if a line-segment between position l1 and position l2
+     * @brief Checks if a line-segment between position l1 and position l2
      *        intersects a building.
      *
-     * \param l1 position
-     * \param l2 position
-     * \return true if there is a intersection, false otherwise
+     * @param l1 position
+     * @param l2 position
+     * @return true if there is a intersection, false otherwise
      */
     bool IsIntersect(const Vector& l1, const Vector& l2) const;
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/buildings/model/building-list.cc ns-3.44/src/buildings/model/building-list.cc
--- ns-3.43/src/buildings/model/building-list.cc	2024-10-09 16:41:09.852655600 -0700
+++ ns-3.44/src/buildings/model/building-list.cc	2025-03-09 16:55:49.351371000 -0700
@@ -23,14 +23,14 @@
 NS_LOG_COMPONENT_DEFINE("BuildingList");
 
 /**
- * \brief private implementation detail of the BuildingList API.
+ * @brief private implementation detail of the BuildingList API.
  */
 class BuildingListPriv : public Object
 {
   public:
     /**
-     * \brief Get the type ID.
-     * \return The object TypeId.
+     * @brief Get the type ID.
+     * @return The object TypeId.
      */
     static TypeId GetTypeId();
     BuildingListPriv();
@@ -39,37 +39,37 @@
     /**
      * Add a Building to the list.
      *
-     * \param building building to add
-     * \returns index of building in list.
+     * @param building building to add
+     * @returns index of building in list.
      */
     uint32_t Add(Ptr<Building> building);
     /**
      * Returns an iterator to the start of the list.
      *
-     * \returns iterator to the begin of the container.
+     * @returns iterator to the begin of the container.
      */
     BuildingList::Iterator Begin() const;
     /**
      * Returns an iterator to the end of the list.
      *
-     * \returns iterator to the end of the container.
+     * @returns iterator to the end of the container.
      */
     BuildingList::Iterator End() const;
     /**
      * Gets the n-th Building in the container
-     * \param n Building position
-     * \returns a pointer to the Building
+     * @param n Building position
+     * @returns a pointer to the Building
      */
     Ptr<Building> GetBuilding(uint32_t n);
     /**
      * Gets the number of Building in the container
-     * \returns the container size
+     * @returns the container size
      */
     uint32_t GetNBuildings();
 
     /**
      * Get the Singleton instance of BuildingListPriv (or create one)
-     * \return the BuildingListPriv instance
+     * @return the BuildingListPriv instance
      */
     static Ptr<BuildingListPriv> Get();
 
@@ -77,7 +77,7 @@
     void DoDispose() override;
     /**
      * Get the Singleton instance of BuildingListPriv (or create one)
-     * \return the BuildingListPriv instance
+     * @return the BuildingListPriv instance
      */
     static Ptr<BuildingListPriv>* DoGet();
     /**
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/buildings/model/building-list.h ns-3.44/src/buildings/model/building-list.h
--- ns-3.43/src/buildings/model/building-list.h	2024-10-09 16:41:09.852655600 -0700
+++ ns-3.44/src/buildings/model/building-list.h	2025-03-09 16:55:49.351371000 -0700
@@ -21,7 +21,7 @@
 class Building;
 
 /**
- * \ingroup buildings
+ * @ingroup buildings
  *
  * Container for Building class
  */
@@ -32,30 +32,30 @@
     typedef std::vector<Ptr<Building>>::const_iterator Iterator;
 
     /**
-     * \param building building to add
-     * \returns index of building in list.
+     * @param building building to add
+     * @returns index of building in list.
      *
      * This method is called automatically from Building::Building so
      * the user has little reason to call it himself.
      */
     static uint32_t Add(Ptr<Building> building);
     /**
-     * \returns a C++ iterator located at the beginning of this
+     * @returns a C++ iterator located at the beginning of this
      *          list.
      */
     static Iterator Begin();
     /**
-     * \returns a C++ iterator located at the end of this
+     * @returns a C++ iterator located at the end of this
      *          list.
      */
     static Iterator End();
     /**
-     * \param n index of requested building.
-     * \returns the Building associated to index n.
+     * @param n index of requested building.
+     * @returns the Building associated to index n.
      */
     static Ptr<Building> GetBuilding(uint32_t n);
     /**
-     * \returns the number of buildings currently in the list.
+     * @returns the number of buildings currently in the list.
      */
     static uint32_t GetNBuildings();
 };
